ModificationStatement.StatementType (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.statements

## Enum ModificationStatement.StatementType

- java.lang.Object
- - java.lang.Enum<ModificationStatement.StatementType>
  - - org.apache.cassandra.cql3.statements.ModificationStatement.StatementType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ModificationStatement.StatementType>
  Enclosing class:
    ModificationStatement

      public static enum ModificationStatement.StatementType
      extends java.lang.Enum<ModificationStatement.StatementType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE`
    `INSERT`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModificationStatement.StatementType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ModificationStatement.StatementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSERT

          public static final ModificationStatement.StatementType INSERT

    - #### UPDATE

          public static final ModificationStatement.StatementType UPDATE

    - #### DELETE

          public static final ModificationStatement.StatementType DELETE

  - ### Method Detail

    - #### values

          public static ModificationStatement.StatementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModificationStatement.StatementType c : ModificationStatement.StatementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModificationStatement.StatementType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation